// finger_tkDlg.h : header file
//

#if !defined(AFX_FINGER_TKDLG_H__378C3927_6B36_4AFC_AE2C_7DACC3C04196__INCLUDED_)
#define AFX_FINGER_TKDLG_H__378C3927_6B36_4AFC_AE2C_7DACC3C04196__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CFinger_tkDlg dialog

class CFinger_tkDlg : public CDialog
{
// Construction
public:
	CFinger_tkDlg(CWnd* pParent = NULL);	// standard constructor

  BOOL readerActive;
  BOOL readerActivate();

  int currentStatus;
  int currentStatus_verify;

  void display(TCHAR *msg1, TCHAR *msg2);
  void result(int theResult);
  void timeout();

// Dialog Data
	//{{AFX_DATA(CFinger_tkDlg)
	enum { IDD = IDD_FINGER_TK_DIALOG };
	CButton	m_write;
	CButton	m_verify;
	CButton	m_read;
	CButton	m_enroll;
	CButton	m_cancel;
	CButton	m_apply;
	CEdit	m_fname_ctrl;
	CEdit	m_lname_ctrl;
	CEdit	m_id_ctrl;
	CString	m_fingers;
	CString	m_fname;
	CString	m_lname;
	CString	m_id;
	CString	m_msg1;
	CString	m_msg2;
	CString	m_tag;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFinger_tkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

  // Convert current mode to control status
  void UpdateControls(void);

	// Generated message map functions
	//{{AFX_MSG(CFinger_tkDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnEnroll();
	afx_msg void OnVerify();
	afx_msg void OnRead();
	afx_msg void OnWrite();
	afx_msg void OnApply();
	afx_msg void OnCancel();
	afx_msg void OnSimul();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.



#endif // !defined(AFX_FINGER_TKDLG_H__378C3927_6B36_4AFC_AE2C_7DACC3C04196__INCLUDED_)
