#ifndef __CRYPT_BLOCK_DES_H__
#define __CRYPT_BLOCK_DES_H__

#include "lib-c/types.h"

typedef struct
{
  DWORD encrypt_subkeys[32];
  DWORD decrypt_subkeys[32];  
} DES_CTX_ST;

void DES_Init(DES_CTX_ST *des_ctx, const BYTE key_data[8]);
void DES_Encrypt(DES_CTX_ST *des_ctx, BYTE data[8]);
void DES_Decrypt(DES_CTX_ST *des_ctx, BYTE data[8]);

BOOL DES_SelfTest(void);

typedef struct
{
  DWORD encrypt_subkeys[96];
  DWORD decrypt_subkeys[96];
} TDES_CTX_ST;

void TDES_Init(TDES_CTX_ST *tdes_ctx, const BYTE key1_data[8], const BYTE key2_data[8], const BYTE key3_data[8]);
void TDES_Encrypt(TDES_CTX_ST *tdes_ctx, BYTE data[8]);
void TDES_Decrypt(TDES_CTX_ST *tdes_ctx, BYTE data[8]);

#endif
