Imports SpringProxAPI

Public Class ShowUidMain
    Inherits System.Windows.Forms.Form

    Dim ReaderActive As Boolean
    Dim ReaderError As Boolean
    Dim LastTagFound As String
    Dim LastTagType As String

    Friend WithEvents lbStatus As System.Windows.Forms.Label
    Friend WithEvents eStatus As System.Windows.Forms.TextBox
    Friend WithEvents lbSnr As System.Windows.Forms.Label
    Friend WithEvents eSnr As System.Windows.Forms.TextBox
    Friend WithEvents eAts As System.Windows.Forms.TextBox
    Friend WithEvents lbAts As System.Windows.Forms.Label
    Friend WithEvents tmrWork As System.Windows.Forms.Timer
    Friend WithEvents lbWeb As System.Windows.Forms.Label
    Friend WithEvents lbDesc As System.Windows.Forms.Label
    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents eInfo As System.Windows.Forms.TextBox
    Friend WithEvents lbInfo As System.Windows.Forms.Label


    Public Sub New()
        MyBase.New()
        InitializeComponent()
        ReaderActive = False
    End Sub

    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        MyBase.Dispose(disposing)
    End Sub

    Private Sub InitializeComponent()
        Me.lbStatus = New System.Windows.Forms.Label
        Me.eStatus = New System.Windows.Forms.TextBox
        Me.lbSnr = New System.Windows.Forms.Label
        Me.eSnr = New System.Windows.Forms.TextBox
        Me.eAts = New System.Windows.Forms.TextBox
        Me.lbAts = New System.Windows.Forms.Label
        Me.tmrWork = New System.Windows.Forms.Timer
        Me.lbWeb = New System.Windows.Forms.Label
        Me.lbDesc = New System.Windows.Forms.Label
        Me.Label1 = New System.Windows.Forms.Label
        Me.eInfo = New System.Windows.Forms.TextBox
        Me.lbInfo = New System.Windows.Forms.Label
        '
        'lbStatus
        '
        Me.lbStatus.Location = New System.Drawing.Point(8, 8)
        Me.lbStatus.Text = "Status :"
        '
        'eStatus
        '
        Me.eStatus.Location = New System.Drawing.Point(8, 24)
        Me.eStatus.ReadOnly = True
        Me.eStatus.Size = New System.Drawing.Size(216, 20)
        Me.eStatus.Text = ""
        '
        'lbSnr
        '
        Me.lbSnr.Location = New System.Drawing.Point(8, 56)
        Me.lbSnr.Size = New System.Drawing.Size(100, 16)
        Me.lbSnr.Text = "//"
        Me.lbSnr.Visible = False
        '
        'eSnr
        '
        Me.eSnr.Location = New System.Drawing.Point(8, 72)
        Me.eSnr.ReadOnly = True
        Me.eSnr.Size = New System.Drawing.Size(216, 20)
        Me.eSnr.Text = ""
        Me.eSnr.Visible = False
        '
        'eAts
        '
        Me.eAts.Location = New System.Drawing.Point(8, 160)
        Me.eAts.ReadOnly = True
        Me.eAts.Size = New System.Drawing.Size(216, 20)
        Me.eAts.Text = ""
        Me.eAts.Visible = False
        '
        'lbAts
        '
        Me.lbAts.Location = New System.Drawing.Point(8, 144)
        Me.lbAts.Size = New System.Drawing.Size(100, 16)
        Me.lbAts.Text = "//"
        Me.lbAts.Visible = False
        '
        'tmrWork
        '
        Me.tmrWork.Enabled = True
        '
        'lbWeb
        '
        Me.lbWeb.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold)
        Me.lbWeb.ForeColor = System.Drawing.Color.FromArgb(CType(0, Byte), CType(0, Byte), CType(192, Byte))
        Me.lbWeb.Location = New System.Drawing.Point(0, 240)
        Me.lbWeb.Size = New System.Drawing.Size(236, 16)
        Me.lbWeb.Text = "www.pro-active.fr"
        Me.lbWeb.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'lbDesc
        '
        Me.lbDesc.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25!, System.Drawing.FontStyle.Bold)
        Me.lbDesc.ForeColor = System.Drawing.Color.FromArgb(CType(0, Byte), CType(0, Byte), CType(192, Byte))
        Me.lbDesc.Location = New System.Drawing.Point(0, 208)
        Me.lbDesc.Size = New System.Drawing.Size(232, 16)
        Me.lbDesc.Text = "SpringProx SDK sample"
        Me.lbDesc.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'Label1
        '
        Me.Label1.ForeColor = System.Drawing.Color.FromArgb(CType(0, Byte), CType(0, Byte), CType(192, Byte))
        Me.Label1.Location = New System.Drawing.Point(0, 224)
        Me.Label1.Size = New System.Drawing.Size(232, 16)
        Me.Label1.Text = "ShowUID (VB .NET) 18/04/06"
        Me.Label1.TextAlign = System.Drawing.ContentAlignment.TopCenter
        '
        'eInfo
        '
        Me.eInfo.Location = New System.Drawing.Point(8, 112)
        Me.eInfo.ReadOnly = True
        Me.eInfo.Size = New System.Drawing.Size(216, 20)
        Me.eInfo.Text = ""
        Me.eInfo.Visible = False
        '
        'lbInfo
        '
        Me.lbInfo.Location = New System.Drawing.Point(8, 96)
        Me.lbInfo.Size = New System.Drawing.Size(100, 16)
        Me.lbInfo.Text = "//"
        Me.lbInfo.Visible = False
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog
        '
        'ShowUidMain
        '
        Me.Controls.Add(Me.lbInfo)
        Me.Controls.Add(Me.eInfo)
        Me.Controls.Add(Me.Label1)
        Me.Controls.Add(Me.lbWeb)
        Me.Controls.Add(Me.lbDesc)
        Me.Controls.Add(Me.lbAts)
        Me.Controls.Add(Me.eAts)
        Me.Controls.Add(Me.eSnr)
        Me.Controls.Add(Me.lbSnr)
        Me.Controls.Add(Me.eStatus)
        Me.Controls.Add(Me.lbStatus)
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Text = "ShowUID"

    End Sub

    Public Sub Lookup14443A()

        Dim rc As Short
        Dim i As Integer
        Dim s As String

        Dim cid As Byte
        cid = 0

        Dim atq As Byte()
        Dim snr As Byte()
        Dim sak As Byte()
        Dim ats As Byte()

        Dim snrlen As Byte
        snrlen = 12

        Dim atslen As Byte
        atslen = 32

        ReDim atq(2)
        ReDim snr(12)
        ReDim sak(1)
        ReDim ats(32)

        rc = SPROX.TclA_ActivateAny(atq, snr, snrlen, sak)

        If (rc = SPROX.TCL_NOTAGERR) Or (rc = SPROX.MI_OK) Then
            'Tag found, check its serial number
            s = ""
            For i = 0 To snrlen - 1
                s += String.Format("{0:X02}", snr(i))
            Next
            If s = LastTagFound Then
                Exit Sub
            End If
            LastTagType = "A"
            LastTagFound = s

            'OK, display the info
            eStatus.Text = "Type A card found"
            lbSnr.Text = "UID"
            eSnr.Text = s
            lbInfo.Text = "ATQa and SAK"
            eInfo.Text = String.Format("ATQ={0:X02}{1:X02} SAK={2:X02}", atq(1), atq(0), sak(0))

            If rc = SPROX.MI_OK Then
                ' This is a T=CL tag, let's retrieve its ATS
                rc = SPROX.TclA_GetAts(cid, ats, atslen)
                If rc = SPROX.MI_OK Then
                    s = ""
                    For i = 0 To atslen - 1
                        s += String.Format("{0:X02}", ats(i))
                    Next
                    lbAts.Text = "ATS"
                    eAts.Text = s
                End If
            Else
                ' This is only a layer 3 tag
                lbAts.Text = "Not T=CL"
                eAts.Text = ""
            End If

        ElseIf rc = SPROX.MI_NOTAGERR Then
            ' No tag on the reader
            LastTagFound = ""
            LastTagType = ""
        Else
            'Error (maybe not fatal, but we keep it simple...)
            ReaderError = True
        End If
    End Sub

    Public Sub Lookup14443B()

        Dim rc As Short
        Dim i As Integer
        Dim s As String

        Dim cid As Byte
        cid = 0

        Dim afi As Byte
        afi = 0

        Dim atq As Byte()
        Dim ats As Byte()

        Dim atslen As Byte
        atslen = 32

        ReDim atq(11)
        ReDim ats(32)

        rc = SPROX.TclB_ActivateAny(afi, atq)

        If rc = SPROX.TCL_NOTAGERR Or rc = SPROX.MI_OK Then
            'Tag found, check its serial number
            s = ""
            For i = 0 To 4
                s += String.Format("{0:X02}", atq(i))
            Next
            If s = LastTagFound Then
                Exit Sub
            End If
            LastTagType = "B"
            LastTagFound = s

            'OK, display the info
            eStatus.Text = "Type B card found"
            lbSnr.Text = "PUPI"
            eSnr.Text = s
            For i = 4 To 11
                s += String.Format("{0:X02}", atq(i))
            Next
            lbInfo.Text = "Full ATQb"
            eInfo.Text = s

            If rc = SPROX.MI_OK Then
                ' This is a T=CL tag, let's retrieve its ATS
                rc = SPROX.TclB_Attrib(atq, cid, ats, atslen)
                If rc = SPROX.MI_OK Then
                    s = ""
                    For i = 0 To atslen - 1
                        s += String.Format("{0:X02}", ats(i))
                    Next
                    lbAts.Text = "ATS"
                    eAts.Text = s
                End If
            Else
                ' This is only a layer 3 tag
                lbAts.Text = "Not T=CL"
                eAts.Text = ""
            End If


        ElseIf rc = SPROX.MI_NOTAGERR Then
            ' No tag on the reader
            LastTagFound = ""
            LastTagType = ""
        Else
            'Error (maybe not fatal, but we keep it simple...)
            ReaderError = True
        End If

    End Sub

    Public Sub Polling()

        SPROX.ControlRF(1)

        If LastTagFound <> "" Then
            SPROX.ControlLed(1, 0)
        End If

        If LastTagType <> "B" Then
            SPROX.SetConfig(SPROX.CFG_MODE_ISO_14443_A)
            Lookup14443A()
        End If

        If LastTagType <> "A" Then
            SPROX.SetConfig(SPROX.CFG_MODE_ISO_14443_B)
            Lookup14443B()
        End If

        SPROX.ControlRF(0)

        If LastTagFound = "" Then
            SPROX.ControlLed(0, 0)
            lbSnr.Visible = False
            eSnr.Visible = False
            lbInfo.Visible = False
            eInfo.Visible = False
            lbAts.Visible = False
            eAts.Visible = False
            eStatus.Text = "No card on the reader"
        Else
            SPROX.ControlLed(0, 1)
            lbSnr.Visible = True
            eSnr.Visible = True
            lbInfo.Visible = True
            eInfo.Visible = True
            lbAts.Visible = True
            eAts.Visible = True
        End If


    End Sub

    Private Sub tmrWork_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrWork.Tick

        tmrWork.Enabled = False

        ReaderError = False

        If Not ReaderActive Then
            Dim rc As Short
            rc = SPROX.ReaderOpen("")
            If rc = SPROX.MI_OK Then
                ReaderActive = True
            End If
        Else
            Polling()
        End If

        If ReaderError Then
            ReaderActive = False
            SPROX.ReaderClose()
        End If

        If LastTagFound = "" Then
            tmrWork.Interval = 100
        Else
            tmrWork.Interval = 1000
        End If

        tmrWork.Enabled = True
    End Sub
End Class
